Loading...
Searching...
No Matches
casacore::SumSqrDiff< T, Accum > Struct Template Reference

Functor to add squared diff of right and base value to left. More...

`#include <Functors.h>`

## Public Member Functions

| SumSqrDiff (T base)
Accum | operator() (Accum left, T right) const

## Private Attributes

Accum | itsBase

## Detailed Description

template<typename T, typename Accum = T>
struct casacore::SumSqrDiff< T, Accum >

Functor to add squared diff of right and base value to left.

It can be used to calculate the variance. Note: it is specialized for complex values to handle real and imag separately.

Definition at line 605 of file Functors.h.

## Constructor & Destructor Documentation

## SumSqrDiff()

template<typename T, typename Accum = T>

casacore::SumSqrDiff< T, Accum >::SumSqrDiff | ( | T | base | ) |

inline explicit

Definition at line 607 of file Functors.h.

References itsBase.

## Member Function Documentation

## operator()()

template<typename T, typename Accum = T>

Accum casacore::SumSqrDiff< T, Accum >::operator() | ( | Accum | left,
|  | T | right ) const

inline

Definition at line 608 of file Functors.h.

References itsBase.

## Member Data Documentation

## itsBase

template<typename T, typename Accum = T>

Accum casacore::SumSqrDiff< T, Accum >::itsBase

private

Definition at line 611 of file Functors.h.

Referenced by operator()(), and SumSqrDiff().

The documentation for this struct was generated from the following file:

- casa/BasicMath/Functors.h